Home Information Classes Download Usage Mail List Requirements Links Tutorial

# ReedTabl Class Reference

STK reed table class. More...

`#include <ReedTabl.h>`

Inheritance diagram for ReedTabl:

List of all members.

## Public Member Functions

| ReedTabl ()
| Default constructor.
| ~ReedTabl ()
| Class destructor.
void | setOffset (MY_FLOAT aValue)
| Set the table offset value.
void | setSlope (MY_FLOAT aValue)
| Set the table slope value.
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | tick (MY_FLOAT input)
| Return the function value for input.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize inputs and return the corresponding function values in vector.

## Detailed Description

STK reed table class.

This class implements a simple one breakpoint, non-linear reed function, as described by Smith (1986). This function is based on a memoryless non-linear spring model of the reed (the reed mass is ignored) which saturates when the reed collides with the mouthpiece facing.

See McIntyre, Schumacher, & Woodhouse (1983), Smith (1986), Hirschman, Cook, Scavone, and others for more information.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 25 of file ReedTabl.h.

## Member Function Documentation

void ReedTabl::setOffset | ( | MY_FLOAT | aValue | ) |

| Set the table offset value. The table offset roughly corresponds to the size of the initial reed tip opening (a greater offset represents a smaller opening).

void ReedTabl::setSlope | ( | MY_FLOAT | aValue | ) |

| Set the table slope value. The table slope roughly corresponds to the reed stiffness (a greater slope represents a harder reed).

MY_FLOAT ReedTabl::tick | ( | MY_FLOAT | input | ) |

| Return the function value for input. The function input represents the differential pressure across the reeds.

The documentation for this class was generated from the following file:

- ReedTabl.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.